Apache Tomcat 6.0.51

## org.apache.coyote
Interface InputBuffer

All Known Subinterfaces:
  InputFilter

All Known Implementing Classes:
  AbstractInputBuffer, AjpAprProcessor.SocketInputBuffer, AjpProcessor.SocketInputBuffer, BufferedInputFilter, ChunkedInputFilter, IdentityInputFilter, InternalAprInputBuffer, InternalAprInputBuffer.SocketInputBuffer, InternalInputBuffer, InternalInputBuffer.InputStreamInputBuffer, InternalNioInputBuffer, InternalNioInputBuffer.SocketInputBuffer, JkInputStream, MemoryProtocolHandler.ByteChunkInputBuffer, SavedRequestInputFilter, VoidInputFilter

    public interface InputBuffer

Input buffer. This class is used only in the protocol implementation. All reading from tomcat ( or adapter ) should be done using Request.doRead().

Author:
  Remy Maucherat

Method Summary
`int` | `doRead(ByteChunk chunk, Request request)` Return from the input stream.

Method Detail

### doRead

    int doRead(ByteChunk chunk,
               Request request)
               throws java.io.IOException

  Return from the input stream. IMPORTANT: the current model assumes that the protocol will 'own' the buffer and return a pointer to it in ByteChunk ( i.e. the param will have chunk.getBytes()==null before call, and the result after the call ).

  Throws:
    `java.io.IOException`

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.